বিষয়বস্তুতে চলুন

টেমপ্লেট:প্রধান পাতা/শৈলী.css: সংশোধিত সংস্করণের মধ্যে পার্থক্য

ভারতপিডিয়া থেকে
"@media all { প্রধান পাতা শীর্ষ: .top-banner-table, #mp-topbanner{ display: table; width: calc(100% - 10p..." দিয়ে পাতা তৈরি
 
WikiDwarf টেমপ্লেট:প্রধান পাতা/শৈলী.css পাতার বিষয়বস্তুর রূপ "সিএসএস" থেকে "পরিচ্ছন্ন CSS"-এ পরিবর্তন করেছেন
ট্যাগ: বিষয়বস্তুর রূপ পরিবর্তন হাতদ্বারা প্রত্যাবর্তন
 
(২ জন ব্যবহারকারী দ্বারা সম্পাদিত ৩টি মধ্যবর্তী সংশোধন দেখানো হচ্ছে না)
১ নং লাইন: ১ নং লাইন:
@media all {
.mainpage-content {
  /* প্রধান পাতা শীর্ষ */
text-align: left;
  .top-banner-table, #mp-topbanner{
position: relative;
    display: table;
overflow: auto;
    width: calc(100% - 10px);
  }
  .top-banner-row {
    display: table-row;
  }
  .top-banner-cell {
    padding: 3px 10px;
  }
  .top-banner-body {
    display: table-row-group;
  }
  .MainPageLogo {
    background-repeat: no-repeat;
    background-position: -5px -25px;
    width: 100%;
    border: 1px solid #a7d7f9;
    vertical-align: top;
    border-radius: 3px;
  }
  .top-banner-intro {
    padding-top:5px;
  }
  .top-banner-content {
    width: 100%;
    margin-bottom: 1px;
    vertical-align: top;
    font-size: 100%;
    background: transparent;
    line-height: 1.5em;
  }
  .top-banner-stats {
    font-size:100%;
    padding-top:5px;
    padding-right:5px;
    line-height: 1.6em;
    vertical-align: top;
  }
  .top-banner-links {
    display:table-caption;
    caption-side:bottom;
    text-align: center;
    font-size: 100%;
    margin: 0;
  }
  #mp-topbanner{
    margin: 0px 5px;
  }
  /* প্রধান পাতার অনুক্রমণিকা */
  .index-box{
    margin: 5px;
    width: calc(100% - 10px);
    background: #f5faff;
    border: 1px solid #a7d7f9;
    vertical-align: top;
    border-radius: 3px;
    color: #000;
    padding: 0;
  }
  /* করোনা */
  #mf-corona{
    margin: 0px 3px 0px 5px;
  }
  /* প্রধান পাতার কাঠামো */
  .main-page-table{
    display: block;
    border-spacing: 6px;
    width: 100%;
  }
  .main-page-row {
    display: table-row;
  }
  .main-page-row-fullwidth {
    display: block;
    width: 100%;
  }
  .main-page-cell, .main-page-head {
    border: 1px solid transparent;
    display: table-cell;
  }
  .main-page-body {
    display: block;
  }
  .content-box{
    border: 1px solid transparent;
  }
  /* নির্বাচিত নিবন্ধ */
  .featured-article-box{
    border: 1px solid #a7d7f9;
    background: #fff;
    vertical-align: top;
    color: #000;
    border-radius: 3px;
  }
  .featured-article-header{
    padding: 0.4em 0.5em;
    margin: 0;
    background: #faecc8;
    font-size: 115%;
    font-weight: bold;
    border: 1px solid #ccc;
    text-align: left;
    color: #000;
    border-radius: 3px 3px 0 0px;
  }
  .featured-article-icon{
    padding: 3px;
    float: right;
    margin: 2px 2px 0px 0px;
  }
  /* আপনি জানেন কি */
  .did-you-know-box{
    border: 1px solid #a7d7f9;
    vertical-align:top;
    border-radius: 3px;
  }
  .did-you-know-icon{
    padding: 3px;
    float: right;
    margin: 2px 2px 0px 0px;
  }
  .did-you-know-header{
    padding: 0.4em 0.5em;
    margin: 0;
    background: #F0F3CD;
    font-size: 115%;
    font-weight: bold;
    border: 1px solid #ccc;
    text-align: left;
    color: #000;
    border-radius: 3px 3px 0 0px;
  }
  /* ভালো নিবন্ধ */
  .good-article-box{
    border: 1px solid #a7d7f9;
    background: #fff;
    vertical-align: top;
    color: #000;
    border-radius: 3px;
  }
  .good-article-icon{
    padding: 3px;
    float: right;
    margin: 2px 2px 0px 0px;
  }
  .good-article-header{
    padding: 0.4em 0.5em;
    margin: 0;
    background: #ddffd1;
    font-size: 115%;
    font-weight: bold;
    border: 1px solid #ccc;
    text-align: left;
    color: #000;
    border-radius: 3px 3px 0 0px;
  }
  /* বিষয় অনুযায়ী বাংলা উইকিপিডিয়া */
  .topic-listing-box{
    border: 1px solid #a7d7f9;
    background: #fff;
    vertical-align: top;
    color: #000;
    border-radius: 3px;
  }
  .topic-listing-header{
    padding: 0.4em 0.5em;
    margin: 0;
    background: #f9f9f3;
    font-size: 115%;
    font-weight: bold;
    border: 1px solid #ccc;
    text-align: center;
    color: #000;
    border-radius: 3px 3px 0 0px;
  }
  .topic-listing-table{
    column-rule: 1px solid #ccc;
  }
  .topic-listing-cell{
    break-inside: avoid;
  }
  .topic-listing-sectionname{
    padding: 3px 0px;
    font-size: 130%;
  }
  .topic-listing-sectioncontents{
    padding: 3px;
    border-bottom: 1px dotted #ccc;
  }
  /* আজকের নির্বাচিত ছবি */
  .featured-picture-box{
    border: 1px solid #a7d7f9;
    vertical-align:top;
    border-radius: 3px;
  }
  .featured-picture-box{
    text-align:center;
  }
  .featured-picture-box .main-page-table {
    display: inline-block;
    text-align: left;
    padding: 6px 6px 0px 6px;
    width: calc(100% - 12px);
  }
  .featured-picture-box .main-page-row { display: block; }
  .featured-picture-box .main-page-head { display: block; }
  .featured-picture-box .main-page-cell { display: block; }
  .featured-picture-icon{
    padding: 3px;
    float: right;
    margin: 2px 2px 0px 0px;
  }
  .featured-picture-header{
    padding: 0.4em 0.5em;
    margin: 0;
    background: #E1B8F5;
    font-size: 115%;
    font-weight: bold;
    border: 1px solid #B1A5C2;
    text-align: left;
    color: #000;
    border-radius: 3px 3px 0 0px;
  }
  .featured-picture-image img{
    box-shadow: 0 0 5px 1px silver;
    width: 75%;
    height: auto;
    max-width: 320px;
  }
  /* সম্পর্কিত সংস্থা */
  .related-organisations-box{
    border: 1px solid #a7d7f9;
    background: #fff;
    vertical-align: top;
    color: #000;
    border-radius: 3px;
  }
  .related-organisations-icon{
    padding: 3px;
    float: right;
    margin: 2px 2px 0px 0px;
  }
  .related-organisations-header{
    padding: 0.4em 0.5em;
    margin: 0;
    background: #FFDAB9;
    font-size: 115%;
    font-weight: bold;
    border: 1px solid #ccc;
    text-align: left;
    color: #000;
    border-radius: 3px 3px 0 0px;
  }
  /* অবদানকারীর জন্য পাঠ্য */
  .contributor-help-box{
    border: 1px solid #a7d7f9;
    vertical-align:top;
    border-radius: 3px;
  }
  .contributor-help-icon{
    padding: 3px;
    float: right;
    margin: 2px 2px 0px 0px;
  }
  .contributor-help-header{
    padding: 0.4em 0.5em;
    margin: 0;
    background: #f2e0ce;
    font-size: 115%;
    font-weight: bold;
    border: 1px solid #B1A5C2;
    text-align: left;
    color: #000;
    border-radius: 3px 3px 0 0px;
  }
  /* সহপ্রকল্প */
  .sister-projects-box{
    display:block;
    caption-side:bottom;
    width: auto;
    margin: 0px 6px 0px 6px;
    border: 1px solid #a7d7f9;
    background: #fff;
    vertical-align: top;
    color: #000;
    border-radius: 3px;
  }
  .sister-projects-table{
    display: table;
    border-spacing: 6px;
    width: 100%;
  }
  .sister-projects-body {
    display: table-row-group;
  }
  /* উইকিপিডিয়ার সহপ্রকল্প */
  .other-projs-header{
    padding: 0.4em 0.5em;
    margin: 0;
    background: #e7eef7;
    font-size: 115%;
    font-weight: bold;
    border: 1px solid #ccc;
    text-align: center;
    color: #000;
    border-radius: 3px 3px 0 0px;
  }
  /* অন্যান্য ভাষায় উইকিপিডিয়া */
  .other-langs-header{
    padding: 0.4em 0.5em;
    margin: 0;
    background: #dfdfdf;
    font-size: 115%;
    font-weight: bold;
    border: 1px solid #ccc;
    text-align: center;
    color: #000;
    border-radius: 3px 3px 0 0px;
  }
}
}
/* কেবল ডেস্কটপ ইন্টারফেসের জন্য */
 
@media all and ( min-width: 720px ) {
.mainpage-heading {
  .top-banner-cell{
position: relative;
    display: table-cell;
margin: 0.2em 0 0 0;
  }
padding: 0;
  .top-banner-intro{
line-height: normal;
    height: 1em;
overflow: visible;
    padding-left: 5px;
white-space: nowrap;
  }
border-bottom: 0;
  .top-banner-links{
    line-height: 1em;
    padding:0;
  }
  .top-banner-stats{
    text-align: right;
  }
  .topic-listing-table{
    columns:4;
  }
  .content-box {
    width: 50%;
    display: table-cell;
  }
}
}
/* কেবল মোবাইল ইন্টারফেসের জন্য */
 
@media all and ( max-width: 719px ) {
.mainpage-heading:after {
  .top-banner-cell{
content: none !important; /* Timeless */
    display: block;
}
  }
 
  .top-banner-intro{
.mainpage-heading-image {
    padding: 0px 6px;
position: relative;
  }
left: 3px;
  .top-banner-links{
top: -0.1em;
    line-height: 1.5em;
z-index: 2;
    padding: 0px 6px;
}
  }
 
  .top-banner-stats{
.mainpage-heading-title {
    padding: 0px 6px;
position:relative;
    text-align: left;
margin-left: -38px;
  }
z-index: 1;
  .content-box {
padding-left: 45px;
    width: 100%;
padding-right: 8px;
    display: block;
font-size: 85%;
  }
font-size: 1.2rem;
  .content-box + .content-box {
font-weight: bold;
    margin-top: 6px;
text-align: left;
  }
border:0 solid transparent;
  .index-box{
border-radius: 5px / 50%;
    display: none;
background: rgb(224, 239, 255); /* linear-gradient */
  }
background: linear-gradient(to right, rgb(210, 231, 255), rgba(210, 231, 255, 0));
  .topic-listing-box{
}
    width:calc(100% - 12px);
 
    margin: 0px 6px 6px 6px;
.mainpage-content-text {
  }
margin: 4px 6px 16px 6px;
  .organisations-help-row{
    display: none;
  }
  .other-langs-table{
    display: none;
  }
}
}

০৯:২৯, ৭ মে ২০২২ তারিখে সম্পাদিত সর্বশেষ সংস্করণ

.mainpage-content {
	text-align: left;
	position: relative;
	overflow: auto;
}

.mainpage-heading {
	position: relative;
	margin: 0.2em 0 0 0;
	padding: 0;
	line-height: normal;
	overflow: visible;
	white-space: nowrap;
	border-bottom: 0;
}

.mainpage-heading:after {
	content: none !important;	/* Timeless */
}

.mainpage-heading-image {
	position: relative;
	left: 3px;
	top: -0.1em;
	z-index: 2;
}

.mainpage-heading-title {
	position:relative;
	margin-left: -38px;
	z-index: 1;
	padding-left: 45px;
	padding-right: 8px;
	font-size: 85%;
	font-size: 1.2rem;
	font-weight: bold;
	text-align: left;
	border:0 solid transparent;
	border-radius: 5px / 50%;
	background: rgb(224, 239, 255);	/* linear-gradient */
	background: linear-gradient(to right, rgb(210, 231, 255), rgba(210, 231, 255, 0));
}

.mainpage-content-text {
	margin: 4px 6px 16px 6px;
}